#ifndef _RevEmuAPI_included
#define _RevEmuAPI_included

enum RevEmu_UserType
{
    Invalid = -1,
    SteamLegitUser = 0,
    SteamCrackedUser,
    RevEmuUser,
    RevEmuUserOld,
    SettiSRCScanBot,
    RevEmuUserV74,
    RevEmuUserVeryOld,
    UnknownUser,
    Steam2Legit,
    Steam2Cracked
};

/**
 * Check if clients usertype is legit.
 *
 * @param clients           The client index.
 *
 * @return                  True if valid, false otherwise.
 * @error                   Invalid client index, not connected or fake client.
 */
native bool RevEmu_IsPlayerSteam(int client);

/**
 * Retrieve clients usertype.
 *
 * @param clients           The client index.
 *
 * @return                  The clients usertype.
 * @error                   Invalid client index, not connected or fake client.
 */
native RevEmu_UserType RevEmu_GetPlayerType(int client);


public Extension __ext_RevEmuAPI =
{
    name = "RevEmuAPI",
    file = "RevEmuAPI.ext",
#if defined AUTOLOAD_EXTENSIONS
    autoload = 1,
#else
    autoload = 0,
#endif
#if defined REQUIRE_EXTENSIONS
    required = 1,
#else
    required = 0,
#endif
};

#if !defined REQUIRE_EXTENSIONS
public __ext_RevEmuAPI_SetNTVOptional()
{
    MarkNativeAsOptional("RevEmu_IsPlayerSteam");
    MarkNativeAsOptional("RevEmu_GetPlayerType");
}
#endif

#endif //_RevEmuAPI_included